<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$sql = '';
$historia = '';
if($_REQUEST['sql']){$sql = $_REQUEST['sql'];}
if($_REQUEST['tramos']){$tramos = $_REQUEST['tramos'];}

$id_psingular = 0;
$usuario = "administrador";
if( $_REQUEST["usuario"] ) {
   $usuario = $_REQUEST['usuario'];
}
$fecha = dl_fecha::dl_ahora_texto();

$eventos_tramos = json_decode($tramos,true);

$cadena = explode(";",$sql);
    if (is_array($cadena)) {
       for ($x = 0; $x < count($cadena); $x++) {
          if(strlen($cadena[$x]) > 2){
          $resultado = mysqli_query($con,$cadena[$x]);
                    $sql = "SELECT MAX(elem_red) as maxid, historial, X(SHAPE) AS lon1, Y(SHAPE) AS lat1 FROM cat_psingulares WHERE 1";
                    $resultado = mysqli_query($con,$sql);
                    $row = mysqli_fetch_assoc($resultado);
                    $id_psingular = $row["maxid"];
                    $historia = $row["historial"];
                    $lat1 = $row["lat1"];
                    $lon1 = $row["lon1"];
                    $ccz3 = 'Sin Asignar';
                    $sqlx = "SELECT NOMBRE, ASTEXT(SHAPE) AS geom FROM geo_cczs WHERE CONTAINS(SHAPE, GEOMFROMTEXT('POINT(" . $lon1 . " " . $lat1 . ")'))";
                    $resultadox = mysqli_query($con,$sqlx);
                    if ($resultadox != FALSE){
                        if (mysqli_num_rows($resultadox) == 1)
                        {
                            $rowx = mysqli_fetch_assoc($resultadox);
                            $ccz3=$rowx['NOMBRE'];
                        }  
                        elseif (mysqli_num_rows($resultadox) > 1)
                        {
                            while($rowx = mysqli_fetch_assoc($resultadox))
                            {
                                $geom=$rowx['geom'];
                                $esinterior = dl_geometria::dl_punto_en_poligono($lat1,$lon1,$geom);
                                if ($esinterior){$ccz3=$rowx['NOMBRE'];};
                            }
                        }
                    }
                    $cuenca3 = 0;
                    $sqlx = "SELECT id, ASTEXT(SHAPE) AS geom FROM geo_cuencas WHERE CONTAINS(SHAPE, GEOMFROMTEXT('POINT(" . $lon1 . " " . $lat1 . ")'))";
                    $resultadox = mysqli_query($con,$sqlx);
                    if ($resultadox != FALSE){
                        if (mysqli_num_rows($resultadox) == 1)
                        {
                            $rowx = mysqli_fetch_assoc($resultadox);
                            $cuenca3=$rowx['id'];
                        }  
                        elseif (mysqli_num_rows($resultadox) > 1)
                        {
                            while($rowx = mysqli_fetch_assoc($resultadox))
                            {
                                $geom=$rowx['geom'];
                                $esinterior = dl_geometria::dl_punto_en_poligono($lat1,$lon1,$geom);
                                if ($esinterior){$cuenca3=$rowx['id'];};
                            }
                        }
                    }
                    $sql66 = "UPDATE cat_psingulares SET ccz = '" . $ccz3 . "', cuenca = " . $cuenca3 . " WHERE elem_red = " . $id_psingular;
                    $resultado66= mysqli_query($con,$sql66);  
                    

                    for ($i = 0;$i < count($eventos_tramos[$x]) ; $i++)
                    {
                        if (count($eventos_tramos[$x][$i]) > 0)
                        {
                            if ($eventos_tramos[$x][$i]["id_tramo"] != 0)
                            {
                                if ($eventos_tramos[$x][$i]["tipo"] == 'aa')
                                {
                                $sql67 = "UPDATE cat_tramos SET id_psig_aa = " . $id_psingular . ", z_tapa_aa = " . $eventos_tramos[$x][$i]["cota_tapa"] . ",prof_aa = (" . $eventos_tramos[$x][$i]["cota_tapa"] . " - zarriba ) WHERE elemred = " . $eventos_tramos[$x][$i]["id_tramo"];
                                $resultado66= mysqli_query($con,$sql67);                      
                                }
                                if ($eventos_tramos[$x][$i]["tipo"] == 'ab')
                                {
                                $sql68 = "UPDATE cat_tramos SET id_psig_ab = " . $id_psingular . ", z_tapa_ab = " . $eventos_tramos[$x][$i]["cota_tapa"] . ",prof_ab = (" . $eventos_tramos[$x][$i]["cota_tapa"] . " - zabajo) WHERE elemred = " . $eventos_tramos[$x][$i]["id_tramo"];                        $resultado66= mysqli_query($con,$sql66);                      
                                $resultado68= mysqli_query($con,$sql68);   
                                }
                            }
                        }
                    }



                        $historia = str_replace("'","",$historia);
                        if($id_psingular > 0 && $historia != '')
                        {
                            $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id_psingular . ",'Se importan puntos singulares. Id de referencia','NUEVO PSINGULAR','" . $fecha . "','" . $usuario . "','PSINGULAR')";
                            $resultado = mysqli_query($con,$sql);
                        }   
                  }
            }
    } 
mysqli_close($con);
echo ($historia);
?>





